PR_GET_DUMPABLE(2const)

NAME
PR_GET_DUMPABLE - get the "dumpable" attribute of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_DUMPABLE);

DESCRIPTION
Return the current state of the calling process's "dumpable" attribute. See PR_SET_DUMPABLE(2const).

RETURN VALUE
On success, return the value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 2.3.20.

SEE ALSO
prctl(2), PR_SET_DUMPABLE(2const)